import { CustomerAvailabilityHour } from '@bringg/types';
import Session from '../Services/Identity/Session';
import { TaskCustomerAvailabilityHoursGetRequest } from './CustomerAvailabilityHour.consts';
declare class CustomerAvailabilityHourApi {
    private customerAvailabilityHourEntity;
    constructor(session: Session);
    getTaskCustomerAvailabilityHours(params: TaskCustomerAvailabilityHoursGetRequest): Promise<CustomerAvailabilityHour[]>;
    getBatchTaskCustomerAvailabilityHours(params: {
        customers: {
            [customerId: string]: number[];
        };
    }): Promise<import("./CustomerAvailabilityHour.consts").BatchGetAvailabilityHours>;
}
export default CustomerAvailabilityHourApi;
